=== tests/bmp/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	bmp_null
	bug00275
)

IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bmp_im2im
	bug00276
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
