=== tests/gdimagecrop/CMakeLists.txt ===
SET(TESTS_FILES
	bug00297
	php_bug_72494
)

ADD_GD_TESTS()
