=== tests/gdimagefill/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bug00002_1
	bug00002_2
	bug00002_3
	bug00002_4
	bug00104_1
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
