=== tests/tiff/CMakeLists.txt ===
IF(TIFF_FOUND)
LIST(APPEND TESTS_FILES
	tiff_im2im
	tiff_invalid_read
	tiff_null
	tiff_dpi
	tiff_read_bw
)
ENDIF(TIFF_FOUND)

ADD_GD_TESTS()
