=== tests/webp/CMakeLists.txt ===
IF(WEBP_FOUND)
LIST(APPEND TESTS_FILES
	bug00111
	bug_double_free
)
ENDIF(WEBP_FOUND)

ADD_GD_TESTS()
