=== debian/changelog ===
libgd2 (2.2.5-4) unstable; urgency=medium

  [ Jiří Paleček ]
  * Disable the test during build and run the testsuite through autopkgtest
    (Closes: #867003)
  * Make --as-needed work again

  [ Ondřej Surý ]
  * Get rid of libgd2*-dev traces (Closes: #879254)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 22 Oct 2017 11:14:32 +0200

libgd2 (2.2.5-3) unstable; urgency=medium

  * Disable gdimagerotate/bug00067 because it FTBFS on i386

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Sep 2017 13:46:57 +0200

libgd2 (2.2.5-2) unstable; urgency=medium

  * Fix OOB read due to crafted GD/GD2 images
  * Disable gdimagecopyresampled/bug00201 that makes some platforms to FTBFS

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Sep 2017 09:43:31 +0200

libgd2 (2.2.5-1) unstable; urgency=high

  * New upstream version 2.2.5
   + [CVE-2017-6362]: Double-free in gdImagePngPtr().
   + [CVE-2017-7890]: Buffer over-read into uninitialized memory.
  * Update d/watch for the github releases
  * Refresh patches for the 2.2.5 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Aug 2017 14:21:43 +0200
