## libgd2 2.2.5.3

=== tests/gdimagecolorexact/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	gdimagecolorexact
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
