=== debian/changelog ===
libgd2 (2.2.5.3-1+dde) unstable; urgency=medium

  * update

 -- GD Team <team+gd@tracker.debian.org>  Thu, 23 Sep 2021 17:59:07 +0800

libgd2 (2.2.5.3-1+dde) oldstable; urgency=medium

  * fix CVE-2021-40145

 -- Clay Stan <claystan97@gmail.com>  Thu, 09 Sep 2021 13:43:44 +0800

libgd2 (2.2.5.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2017-6363

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 16 Sep 2020 21:02:13 +0800

libgd2 (2.2.5.1-1+dde) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2019-11038: Uninitialized read in gdImageCreateFromXbm
    (Closes: #929821)

 -- Jonas Meurer <jonas@freesources.org>  Tue, 11 Jun 2019 16:21:57 +0200

libgd2 (2.2.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Heap-based buffer overflow in gdImageColorMatch (CVE-2019-6977)
    (Closes: #920645)
  * Potential double-free in gdImage*Ptr() (CVE-2019-6978) (Closes: #920728)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Feb 2019 10:55:00 +0100

libgd2 (2.2.5-5) unstable; urgency=medium

  * Update Vcs-* links to salsa.d.o
  * Update maintainers address to team+gd@tracker.d.o (Closes: #899928)
  * Remove Files-Excluded from d/copyright, the files just inherit the
    global license (Closes: #883760)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 28 Oct 2018 22:20:23 +0000

libgd2 (2.2.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Potential infinite loop in gdImageCreateFromGifCtx (CVE-2018-5711)
    (Closes: #887485)
  * bmp: check return value in gdImageBmpPtr (CVE-2018-1000222)
    (Closes: #906886)
  * Remove src/Makefile.am patching in
    tests-make-a-little-change-for-autopkgtest.patch.  Fixes "libgd2 FTBFS:
    cannot find -lgd".
    Thanks to Helmut Grohne and Adrian Bunk (Closes: #906840)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 06 Oct 2018 00:22:59 +0200
