=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 if (BUILD_TEST)
 	SET(DART_TESTING_TIMEOUT 5)
 
@@ -28,15 +27,21 @@
 		gdimageclone
 		gdimagecolor
 		gdimagecolorclosest
+		gdimagecolorclosesthwb
 		gdimagecolordeallocate
 		gdimagecolorexact
+		gdimagecolormatch
 		gdimagecolorreplace
 		gdimagecolorresolve
 		gdimagecolortransparent
+		gdimagecompare
 		gdimagecontrast
 		gdimageconvolution
 		gdimagecopy
+		gdimagecopymerge
+		gdimagecopymergegray
 		gdimagecopyresampled
+		gdimagecopyresized
 		gdimagecopyrotated
 		gdimagecreate
 		gdimagecrop
@@ -49,6 +54,7 @@
 		gdimagefilltoborder
 		gdimagefilter
 		gdimageflip
+		gdimageellipse
 		gdimagegrayscale
 		gdimageline
 		gdimagenegate
@@ -59,15 +65,22 @@
 		gdimagerotate
 		gdimagescale
 		gdimagescatterex
+		gdimagesetinterpolationmethod
 		gdimagesetpixel
+		gdimagesquaretocircle
+		gdimagestring
+		gdimagestring16
 		gdimagestringft
 		gdimagestringftex
+		gdimagestringup
+		gdimagestringup16
 		gdimagetruecolortopalette
 		gdinterpolatedscale
 		gdnewfilectx
 		gdtest
 		gdtiled
 		gdtransformaffineboundingbox
+		gdtransformaffinecopy
 		gif
 		jpeg
 		png
