=== tests/gdimagecolorclosesthwb/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	gdImageColorClosestHWB
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
