=== tests/gdimagecompare/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	gdimagecompare
)
ADD_GD_TESTS()
