=== tests/gdimagecopy/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	bug00007
)

IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bug00081
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
