=== tests/gdimageellipse/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bug00169
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
