=== tests/gdimagefilledarc/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bug00351
	php_bug43828
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
