=== tests/gdimagefilltoborder/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	bug00037
	github_bug_215
)

ADD_GD_TESTS()
