=== tests/gdimagestringft/CMakeLists.txt ===
IF(FREETYPE_FOUND)
LIST(APPEND TESTS_FILES
	gdimagestringft_bbox
)
ENDIF(FREETYPE_FOUND)

ADD_GD_TESTS()
