=== tests/gdimagestringup16/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	gdimagestringup16
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
