=== debian/changelog ===
libgd2 (2.3.0-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:24:16 -0500

libgd2 (2.3.0-2ubuntu1) impish; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2021-38115.patch: fix a read out-of-bounds in
      reading tga header file in src/gd_tga.c.
    - CVE-2021-38115
  * SECURITY UPDATE: Double free
    - debian/patches/CVE-2021-40145-*.patch: fix a memory leak in
      src/gd_gd2.c.
    - CVE-2021-40145

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 09 Sep 2021 09:29:48 -0300

libgd2 (2.3.0-2) unstable; urgency=medium

  * Add patch to fix gdImageStringFT() fails for empty strings
    (Closes: #959591)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 May 2020 16:11:29 +0200

libgd2 (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Apr 2020 09:41:29 +0200

libgd2 (2.2.5-5.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2019-11038: Uninitialized read in gdImageCreateFromXbm
    (Closes: #929821)

 -- Jonas Meurer <jonas@freesources.org>  Tue, 11 Jun 2019 16:21:57 +0200
