=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libgd2
 Section: graphics
 Priority: optional
-Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GD Team <team+gd@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
-	       debhelper (>= 9),
+	       debhelper (>= 9.20150101~),
 	       libpng-dev,
 	       libz-dev,
 	       libjpeg-dev,
@@ -17,8 +18,8 @@
 	       libtiff-dev,
 	       dh-autoreconf,
 	       html2text
-Vcs-Git: git://anonscm.debian.org/collab-maint/libgd2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/libgd2.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/libgd2.git
+Vcs-Browser: https://salsa.debian.org/debian/libgd2
 Standards-Version: 3.9.3
 Homepage: http://www.libgd.org/
