=== tests/fontconfig/CMakeLists.txt ===
if(FONTCONFIG_FOUND)
IF(FREETYPE_FOUND)
LIST(APPEND TESTS_FILES
    basic
)
ENDIF(FREETYPE_FOUND)
ENDIF(FONTCONFIG_FOUND)

ADD_GD_TESTS()
