=== tests/gdimagearc/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bug00079
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
