=== tests/gdimagefile/CMakeLists.txt ===
IF(TIFF_FOUND)
IF(WEBP_FOUND)
IF(ENABLE_GD_FORMATS)
LIST(APPEND TESTS_FILES
	gdnametest
)
ENDIF(ENABLE_GD_FORMATS)
ENDIF(WEBP_FOUND)
ENDIF(TIFF_FOUND)

ADD_GD_TESTS()
