=== tests/gdimagefilledellipse/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	bug00010
	bug00169
	bug00191
	github_bug_00238
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()
