=== tests/gdimagesetinterpolationmethod/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	github_bug_00584
)

ADD_GD_TESTS()
