=== tests/webp/CMakeLists.txt ===
IF(WEBP_FOUND)
LIST(APPEND TESTS_FILES
	bug00111
	gdImageWebpEx
	webp_ll_im2im
)
IF(JPEG_FOUND)
LIST(APPEND TESTS_FILES
	bug_double_free
)
ENDIF(JPEG_FOUND)
ENDIF(WEBP_FOUND)

ADD_GD_TESTS()
