=== debian/changelog ===
libgd2 (2.3.3-9ubuntu5) noble; urgency=medium

  * d/control: restore libheif-dev dependency (LP: #2061090).
    Remaining changes:
    - Drop the dependencies on libavif, libavif has an extensive rust
      dependency tree that makes it unsuitable for main.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 16 Apr 2024 20:23:30 +1200

libgd2 (2.3.3-9ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:49:00 +0000

libgd2 (2.3.3-9ubuntu3) noble; urgency=medium

  * Rebuild against new libpng16-16t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 14:18:01 +0100

libgd2 (2.3.3-9ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:03:22 +0000

libgd2 (2.3.3-9ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop the dependencies on libavif and libheif; libheif is blocked on a
      Main Inclusion Request, and libavif has an extensive rust dependency
      tree that makes it unsuitable for main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 May 2023 09:44:27 +0200

libgd2 (2.3.3-9) unstable; urgency=medium

  * Update the B-D to libfreetype-dev

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 13:09:24 +0100

libgd2 (2.3.3-8) unstable; urgency=medium

  * Enable back GD_BICUBIC* interpolation methods

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 13:04:58 +0100

libgd2 (2.3.3-7ubuntu2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 07:28:10 -0500

libgd2 (2.3.3-7ubuntu1) lunar; urgency=medium

  * Drop the dependencies on libavif and libheif; libheif is blocked on a
    Main Inclusion Request, and libavif has an extensive rust dependency tree
    that makes it unsuitable for main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 23:28:26 +0000

libgd2 (2.3.3-7) unstable; urgency=medium

  * Switch the d/watch to api.github.com
  * Actually enable libavif and libheif support by adding it to Build-Depends

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 12:44:39 +0200

libgd2 (2.3.3-6) unstable; urgency=medium

  * Add libwebp-dev to libgd-dev Depends (Closes: #1014759)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Jul 2022 06:25:19 +0200

libgd2 (2.3.3-5) unstable; urgency=medium

  * Reintroduce GD_FLIP constants to fix the API/ABI break

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Jul 2022 10:24:25 +0200

libgd2 (2.3.3-4) unstable; urgency=medium

  * Explicitly disable AVIF and HEIF on buster, bionic and focal

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Jul 2022 12:49:55 +0200

libgd2 (2.3.3-3) unstable; urgency=medium

  * Add missing libheif-dev and libavif-dev to libgd-dev depends
    (Closes: #1014500)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Jul 2022 06:02:21 +0200

libgd2 (2.3.3-2) unstable; urgency=medium

  * Make the AVIF and HEIF support optional for older Debian and Ubuntu

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jul 2022 16:59:18 +0200

libgd2 (2.3.3-1) unstable; urgency=medium

  * Require debhelper >= 10
  * New upstream version 2.3.3 (Closes: #1004572)
   + CVE-2021-38115: fix read out-of-bands in reading tga header file
     (Closes: #991912)
  * New upstream version 2.3.1
   + CVE-2019-11038: Using uninitialized variables.
   + CVE-2019-6977: Heap-based buffer overflow.
   + CVE-2019-6978: Double-free in gdImage*Ptr().
  * Enable AVIF and HEIF support
  * Update symbols file for libgd3_2.3.3
  * Remove libxt-dev, html2text from build dependencies (Closes: #981208)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jul 2022 16:33:08 +0200
