=== debian/control ===
--- 
+++ 
@@ -4,20 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: GD Team <team+gd@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends: autotools-dev,
-	       debhelper (>= 9.20150101~),
-	       libpng-dev,
-	       libz-dev,
-	       libjpeg-dev,
-	       libfreetype6-dev,
-	       libxpm-dev,
-	       libx11-dev,
-	       libxt-dev,
-	       libfontconfig-dev,
-	       libwebp-dev,
-	       libtiff-dev,
-	       dh-autoreconf,
-	       html2text
+Build-Depends: debhelper (>= 10),
+               libfontconfig-dev,
+               libfreetype-dev | libfreetype6-dev,
+               libheif-dev (>= 1.17.6-1ubuntu4~) | base-files (<< 11.1~),
+               libjpeg-dev,
+               libpng-dev,
+               libtiff-dev,
+               libwebp-dev,
+               libx11-dev,
+               libxpm-dev,
+               libz-dev
 Vcs-Git: https://salsa.debian.org/debian/libgd2.git
 Vcs-Browser: https://salsa.debian.org/debian/libgd2
 Standards-Version: 3.9.3
@@ -25,7 +22,9 @@
 
 Package: libgd-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Suggests: libgd-dev
 Description: GD command line tools and example code
  GD is a graphics library. It allows your code to quickly draw images
@@ -41,18 +40,19 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgd3 (= ${binary:Version}),
-	 ${misc:Depends},
-	 libpng-dev,
-	 libz-dev,
-	 libjpeg-dev,
-	 libfreetype6-dev,
-	 libxpm-dev,
-	 libx11-dev,
-	 libxt-dev,
-	 libfontconfig-dev,
-	 libvpx-dev,
-	 libtiff-dev
+Depends: libfontconfig-dev,
+         libfreetype6-dev,
+         libgd3 (= ${binary:Version}),
+         libheif-dev (>= 1.17.6-1ubuntu4~) | base-files (<< 11.1~),
+         libjpeg-dev,
+         libpng-dev,
+         libtiff-dev,
+         libvpx-dev,
+         libwebp-dev,
+         libx11-dev,
+         libxpm-dev,
+         libz-dev,
+         ${misc:Depends}
 Description: GD Graphics Library (development version)
  GD is a graphics library. It allows your code to quickly draw images
  complete with lines, arcs, text, multiple colours, cut and paste from
@@ -67,7 +67,8 @@
 Multi-Arch: same
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: libgd-tools
 Description: GD Graphics Library
  GD is a graphics library. It allows your code to quickly draw images
