=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=4
opts="\
	compression=xz, \
	searchmode=plain, \
	uversionmangle=s/RC/~rc/, \
	dversionmangle=s/\~dfsg$//, \
	filenamemangle=s/.+\/libgd-@ANY_VERSION@.tar.xz/@PACKAGE@-$1\.tar\.xz/, \
	"
https://api.github.com/repos/libgd/libgd/releases https://github.com/libgd/libgd/releases/download/gd-(\d\S+)/libgd-(\d\S+).tar.xz
